Bug 166031 - logwatch fails to pick up yum log entries
logwatch fails to pick up yum log entries
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-15 19:56 EDT by DaveG
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: logwatch-6.1.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-24 09:16:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch file to fix problem. (2.40 KB, patch)
2005-08-15 20:00 EDT, DaveG
no flags Details | Diff

  None (edit)
Description DaveG 2005-08-15 19:56:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
The log format used by 'yum' changed some time ago (December '04?) but the logwatch script is still looking for the old date format and dropping all valid records in /etc/log.d/scripts/shared/ApplyUSDate.
The logwatch script /etc/log.d/scripts/services/yum does not process yum package erasures.

Version-Release number of selected component (if applicable):
logwatch-5.2.2-1.FC3.1

How reproducible:
Always

Steps to Reproduce:
1. Do something with yum e.g. "yum update".
2. Run logwatch to generate a report e.g. "logwatch --print --service yum".
3. Notice the lack of detail.
  

Actual Results:  No output.

Expected Results:  Some output at least loosely connected to yum activity.

Additional info:

Problem fixed by attached patch. In summary:
1. Provide a separate "ApplyYumDate" shared script to process 'yum' dates.
2. Configure logwatch "yum.conf" to use "ApplyYumDate".
3. Add capture and print of 'yum' erasure activity.

P.S. How about making the Perl scripts %config(noreplace) to avoid overwriting my local fixes and modifications?
Comment 1 DaveG 2005-08-15 20:00:02 EDT
Created attachment 117778 [details]
Patch file to fix problem.
Comment 2 Ivana Varekova 2005-08-23 07:30:34 EDT
Problem with yum logs was beeing solved in the last logwatch version
(logwatch-6.1.2-3), please could you test this version and describe whether
there is any problem.
Thank you. 
Comment 3 DaveG 2005-08-24 09:01:28 EDT
Bug has been *fixed* in latest release - Date range is now handles in the per-
logfile script.

Thanks,

--DaveG
Comment 4 Ivana Varekova 2005-08-24 09:16:36 EDT
Thank you for your notice and test. I'm closing this bug, it is fixed in
logwatch-6.1.2-3 version.

Note You need to log in before you can comment on or make changes to this bug.